REAL(8) FUNCTION FnBondPrice(la,lyp)
USE Parameters
USE Globals
IMPLICIT NONE

REAL(8), INTENT(IN) :: la,lyp
REAL(8)				:: llyp
!lyp is persistent component of earnings
llyp = lyp



IF(la>=0.0)THEN
	FnBondPrice = qfree
ELSE IF (la<=-sqrt(1.0/(qborr*bondparam)) .and. bondparam>0.0) THEN
	FnBondPrice = 0.5*qborr
ELSE
	FnBondPrice = 1.0 /(1.0/qborr + bondparam*(la**2))
END IF

END FUNCTION FnBondPrice
