REAL(8) FUNCTION FnInvQA(lqa,lyp)
USE Parameters
USE Globals
IMPLICIT NONE

REAL(8), INTENT(IN) :: lqa,lyp
REAL(8)				:: llyp
!lyp is persistent component of earnings
llyp = lyp

IF(lqa>=0.0 )THEN
	FnInvQA = lqa/qfree
	return
END IF

IF(lqa<0.0 .and. bondparam==0.0)THEN
	FnInvQA = lqa/qborr
	return
END IF

! write(*,*) 'in a region where i shouldnt be'

IF(lqa <= -0.5*qborr*sqrt(1.0/(bondparam*qborr))) THEN
	FnInvQA = 2.0*lqa/qborr	
	return
END IF

IF(4.0*bondparam*(lqa**2) > qborr) THEN
	write(*,*) 'FnInvqA: savings too low given interest rate'
ELSE
	FnInvQA = (1.0 - sqrt(1.0 - 4.0*(lqa**2)*bondparam/qborr) ) / (2.0*lqa*bondparam)
END IF


END FUNCTION FnInvQA
