REAL(8) FUNCTION FnNoAdjEE(lsav)

USE Parameters
USE Globals
USE Procedures

IMPLICIT NONE

REAL(8), INTENT(IN) :: lsav
REAL(8), EXTERNAL	:: FnInvQA,FnBondPrice,FnBondPriceD
REAL(8)				:: lemuc,lnliq,lqpldq

gsav = lsav
gcon = (gcoh-gsav)/(1.0+ctax)

gliq = FnInvQA(gsav,0.0_8)
IF(abs(gliq)<1.0e-10_8) gliq = 0.0
lnliq = gliq + rebateamt*rebatenext																		
lqpldq = FnBondPrice(gliq,0.0_8) + gliq*FnBondPriceD(gliq,0.0_8)	!this is where discontinuity at zero is introduced.

!interpolate emucnext to get emuc
IF(gij<Jwork) CALL TransformBi45DegInterp1(-1.0/sigC,ngpl,lgrid(gij+1,:,gif,giz),ngpa,agrid(gij+1,:,gif,giz),emucnext(gij+1,:,:,gid,giW,giu),lnliq,gass,lemuc)
! IF (gij==Jwork) CALL TransformBi45DegInterp1(-1.0/sigC,ngplret,lgridret(1,:,gip),ngparet,agridret(1,:,gip),emucretJ1next(:,:,gid,gip),lnliq,gass,lemuc)							
IF (gij==Jwork) CALL TransformBi45DegInterp1(-1.0/sigC,ngplret,lgridret(1,:,gip),ngparet,agridret(1,:,gip),emucretJ1next(:,:,1,gip),lnliq,gass,lemuc)							

gfoc = lemuc/lqpldq + (1.0+ctax)*liqflow*((gcon+servflow*gass+liqflow*max(gliq,0.0))**(-sigC))/(lqpldq*bet)

FnNoAdjEE = (gcon+servflow*gass+liqflow*max(gliq,0.0))**(-sigC) - bet*gfoc


END FUNCTION FnNoAdjEE
