SUBROUTINE DecEmaxInterps(ij,ify,id,iW,lass,lxA,lxN,iu,iz,lval,lcon,lhfn,lmuc)

USE Parameters
USE Globals
USE Procedures

IMPLICIT NONE

REAL(8), INTENT(IN)		:: lass,lxA,lxN
INTEGER, INTENT(IN)		:: iu,iz,ij,ify,id,iW
REAL(8), INTENT(OUT)	:: lval,lcon,lhfn,lmuc
REAL(8)					:: ldval,lvalded(ngpd),ibestded(1),lass1,lliq1
INTEGER					:: ided

! IF(UsePosNegDvalInterp==1) CALL BiPosNegInterp1RatioXAret (nx,x,na,a,f,xi,ai,fi)
IF(UsePosNegDvalInterp==0) CALL	BiLinInterp1RatioXA (ij,ify,iz,ngpxN,xNgrid(ij,:,:,ify,iz,id),ngpa,agrid(ij,:,ify,iz),dval(ij,:,:,id,iW,iu),lxN,lass,ldval)


IF(ldval>=0.0) THEN!ADJUST
	IF (lxA==xAgrid(ij,1,ify,iz)) THEN
		ibestded 	= maxloc(valA(ij,1,:,iW,iu))
		ided 	= ibestded(1)
		lval	= valA(ij,1,ided,iW,iu)
		lcon	= conA(ij,1,ided,iW,iu)
		lass1	= assA(ij,1,ided,iW,iu)
		lliq1	= liqA(ij,1,ided,iW,iu)
	ELSE
		DO ided = 1,ngpd
			CALL LinInterp1(ngpxA,xAgrid(ij,:,ify,iz),valA(ij,:,ided,iW,iu),lxA,lvalded(ided))
		END DO
		ibestded = maxloc(lvalded)
		ided = ibestded(1)
		lval = lvalded(ided)
		CALL LinInterp1(ngpxA,xAgrid(ij,:,ify,iz),conA(ij,:,ided,iW,iu),lxA,lcon)
		CALL LinInterp1(ngpxA,xAgrid(ij,:,ify,iz),assA(ij,:,ided,iW,iu),lxA,lass1)
		CALL LinInterp1(ngpxA,xAgrid(ij,:,ify,iz),liqA(ij,:,ided,iW,iu),lxA,lliq1)
	END IF

	lmuc	= (lval**(sigC-gamC)) *((lcon+servflow*lass1+liqflow*max(lliq1,0.0))**(-sigC))
	lhfn	= (1.0-mturcg)*lmuc

ELSE !DO NOT ADJUST

	CALL BiLinInterp1RatioXA(ij,ify,iz,ngpxN,xNgrid(ij,:,:,ify,iz,id),ngpa,agrid(ij,:,ify,iz),valN(ij,:,:,id,iW,iu),lxN,lass,lval)			
	CALL BiLinInterp1RatioXA(ij,ify,iz,ngpxN,xNgrid(ij,:,:,ify,iz,id),ngpa,agrid(ij,:,ify,iz),conN(ij,:,:,id,iW,iu),lxN,lass,lcon)			
	CALL BiLinInterp1RatioXA(ij,ify,iz,ngpxN,xNgrid(ij,:,:,ify,iz,id),ngpa,agrid(ij,:,ify,iz),gfn(ij,:,:,id,iW,iu),lxN,lass,lhfn)			
	CALL BiLinInterp1RatioXA(ij,ify,iz,ngpxN,xNgrid(ij,:,:,ify,iz,id),ngpa,agrid(ij,:,ify,iz),liqN(ij,:,:,id,iW,iu),lxN,lass,lliq1)			
	lmuc	= (lval**(sigC-gamC)) *((lcon+servflow*lass/qill+liqflow*max(lliq1,0.0))**(-sigC))
	lhfn 	= (lval**(sigC-gamC)) *lhfn - lmuc*mturcg

END IF


IF(Display>=1) THEN
IF (lcon<=0.0) THEN
	write(*,*) 'lcon negative'
	write(*,*) lass,lxA,lxN,iu,iz,lval,lcon,lhfn,ldval,lliq1
	pause
END IF
END IF

END SUBROUTINE DecEmaxInterps


