REAL(8) FUNCTION FnBondPriceD(la,lyp)
USE Parameters
USE Globals
IMPLICIT NONE

REAL(8), INTENT(IN) :: la,lyp
REAL(8)				:: llyp
!lyp is persistent component of earnings
llyp = lyp


IF(la>=0.0 .or. la<=-sqrt(1.0/(qborr*bondparam)) .or. bondparam==0.0)THEN
	FnBondPriceD = 0.0
ELSE
	FnBondPriceD = -2.0*bondparam*la / ( (1.0/qborr + bondparam*(la**2) )**2)
END IF

END FUNCTION FnBondPriceD
