REAL(8) FUNCTION FnNoAdjEERet(lsav)

USE Parameters
USE Globals
USE Procedures

IMPLICIT NONE

REAL(8), INTENT(IN) :: lsav
REAL(8), EXTERNAL	:: FnInvQA,FnBondPrice,FnBondPriceD
REAL(8)				:: lemuc,lnliq,lqpldq

gsav = lsav
gcon = (gcoh-gsav)/(1.0+ctax)

gliq = FnInvQA(gsav,0.0_8)
IF(abs(gliq)<1.0e-10_8) gliq = 0.0

lnliq = gliq + rebateamt*rebatenext																		
lqpldq = FnBondPrice(gliq,0.0_8) + gliq*FnBondPriceD(gliq,0.0_8)	!this is where discontinuity at zero is introduced.

!interpolate emucnext to get emuc
CALL TransformBi45DegInterp1(-1.0/sigC,ngplret,lgridret(gij+1,:,gip),ngparet,agridret(gij+1,:,gip),emucretnext(gij+1,:,:,gid,giR),lnliq,gass,lemuc)							

gfoc = lemuc/lqpldq + (1.0+ctax)*liqflow*((gcon+servflow*gass+liqflow*gliq)**(-sigC))/(lqpldq*bet)

FnNoAdjEERet = (gcon+servflow*gass+liqflow*gliq)**(-sigC) - bet*gfoc


END FUNCTION FnNoAdjEERet
