REAL(8) FUNCTION FnPortfolioRet(lass)

USE Parameters
USE Globals
USE Procedures

IMPLICIT NONE

REAL(8), INTENT(IN) :: lass
REAL(8)             :: lemuc,lhfn,lqpldq,lnliq
REAL(8), EXTERNAL	:: FnBondPrice,FnBondPriceD,FnInvQA


IF (gUsePortfolioAsEE==1) THEN
	gsav = lass*qill
	gcon = (gcoh - gsav)/(1.0+ctax)
END IF

gass = lass
gliq = FnInvQA(gsav-qill*gass,0.0_8)
IF(abs(gliq)<1.0e-10_8) gliq = 0.0
lnliq = gliq + rebateamt*rebatenext																		

CALL TransformBi45DegInterp1(-1.0/sigC,ngplret,lgridret(gij+1,:,gip),ngparet,agridret(gij+1,:,gip),emucretnext(gij+1,:,:,gid,giR),lnliq,gass,lemuc)							
CALL Bi45DegInterp1(ngplret,lgridret(gij+1,:,gip),ngparet,agridret(gij+1,:,gip),hfnretnext(gij+1,:,:,gid,giR),lnliq,gass,lhfn,0)							


lqpldq = FnBondPrice(gliq,0.0_8) + gliq*FnBondPriceD(gliq,0.0_8)

IF (gUsePortfolioAsEE==0) THEN
		
	gfoc = lemuc/lqpldq + (1.0+ctax)*liqflow*((gcon+servflow*gass+liqflow*gliq)**(-sigC))/(lqpldq*bet)
	FnPortfolioRet = gfoc- lhfn/qill - (1.0+ctax)*servflow*((gcon+servflow*gass+liqflow*gliq)**(-sigC))/(qill*bet)
		
ELSE IF (gUsePortfolioAsEE==1) THEN

	gfoc = lhfn/qill + (1.0+ctax)*servflow*((gcon+servflow*gass+liqflow*gliq)**(-sigC))/(qill*bet)
	FnPortfolioRet = ((gcon+servflow*gass+liqflow*gliq)**(-sigC))- bet*gfoc 
 
END IF

END FUNCTION FnPortfolioRet


