REAL(8) FUNCTION FnSSBenefit(lmearns)

USE Parameters
USE Globals

IMPLICIT NONE

REAL(8), INTENT(IN) :: lmearns
REAL(8)				:: lindearns(2),lben(2)
INTEGER				:: i

lindearns(1)	= fracmainearner*lmearns
lindearns(2)	= (1.0-fracmainearner)*lmearns

DO i =1,2        
	IF (lindearns(i)<= ssbend1) THEN
		lben(i) = 0.9*lindearns(i)
	ELSE IF (lindearns(i)<= ssbend2) THEN
	    lben(i) = 0.9*ssbend1 + 0.32*(lmearns - ssbend1)
	ELSE
	    lben(i) = 0.9*ssbend1 + 0.32*(ssbend2-ssbend1) + 0.15*(lmearns - ssbend2)
	END IF
END DO

FnSSBenefit = SUM(lben) 
   
END FUNCTION FnSSBenefit

