subroutine IncomeRebate

USE Parameters
USE Globals

IMPLICIT NONE

TransitionPath=.true.

rebtype=1
nrebgrid=2
deallocate(rebgrid)
deallocate(rebdist)
allocate(rebgrid(nrebgrid))
allocate(rebdist(nrebgrid))
rebgrid(1)=rebateamt/rebatepct
rebgrid(2)=0.0d0

rebdist(1)=rebatepct
rebdist(2)=1.0d0-rebatepct

IF(DoRebateCalcs==1 .and. BothRebateSurprises==0) DEALLOCATE(decrebateB)


IF(announcequ==2) DEALLOCATE(decrebateA)

IF (SolveTransition==1) THEN
        IF (DoRebateCalcs==1 .and. BothRebateSurprises==0) THEN
                IF(announcequ==3) ALLOCATE(decrebateB(0:0,nrebgrid))
                IF(announcequ==2) ALLOCATE(decrebateB(0:1,nrebgrid))
                IF(announcequ==2) ALLOCATE(decrebateA(0:0,nrebgrid))
        END IF

ELSE IF (SolveTransition==0) THEN
        IF (DoRebateCalcs==1 .and. BothRebateSurprises==0) THEN
                IF(announcequ==3) ALLOCATE(decrebateB(0:0,nrebgrid))
                IF(announcequ==2) ALLOCATE(decrebateB(0:1,nrebgrid))
                IF(announcequ==2) ALLOCATE(decrebateA(0:0,nrebgrid))
        END IF
END IF

CALL DecisionsRebate
CALL SimulateTransitionInc
CALL AggregateTransitionPath

TransitionPath=.false.

CALL SaveOutput

end subroutine IncomeRebate
