SUBROUTINE StoreTimeDecisionRules

USE Parameters
USE Globals

IMPLICIT NONE


IF(InitialSteadyState == .true.) THEN
	decInitialSS(1)%valAret	= valAret
	decInitialSS(1)%assAret	= assAret
	decInitialSS(1)%savAret	= savAret
	
	decInitialSS(1)%valNret	= valNret
	decInitialSS(1)%savNret	= savNret
	
	decInitialSS(1)%valA	= valA
	decInitialSS(1)%assA	= assA
	decInitialSS(1)%savA	= savA
	
	decInitialSS(1)%valN	= valN
	decInitialSS(1)%savN	= savN
	
	decInitialSS(1)%evalret	= evalret
	decInitialSS(1)%emucret	= emucret
	decInitialSS(1)%hfnret	= hfnret
	decInitialSS(1)%dvalret	= dvalret
	
	decInitialSS(1)%evalretJ1	= evalretJ1
	decInitialSS(1)%emucretJ1	= emucretJ1
	decInitialSS(1)%hfnretJ1	= hfnretJ1
	
	decInitialSS(1)%eval	= eval
	decInitialSS(1)%emuc	= emuc
	decInitialSS(1)%hfn		= hfn
	decInitialSS(1)%dval	= dval

END IF

IF(FinalSteadyState == .true.) THEN
	decFinalSS(1)%valAret	= valAret
	decFinalSS(1)%assAret	= assAret
	decFinalSS(1)%savAret	= savAret

	decFinalSS(1)%valNret	= valNret
	decFinalSS(1)%savNret	= savNret

	decFinalSS(1)%valA	= valA
	decFinalSS(1)%assA	= assA
	decFinalSS(1)%savA	= savA

	decFinalSS(1)%valN	= valN
	decFinalSS(1)%savN	= savN

	decFinalSS(1)%evalret	= evalret
	decFinalSS(1)%emucret	= emucret
	decFinalSS(1)%hfnret	= hfnret
	decFinalSS(1)%dvalret	= dvalret

	decFinalSS(1)%evalretJ1	= evalretJ1
	decFinalSS(1)%emucretJ1	= emucretJ1
	decFinalSS(1)%hfnretJ1	= hfnretJ1

	decFinalSS(1)%eval	= eval
	decFinalSS(1)%emuc	= emuc
	decFinalSS(1)%hfn	= hfn
	decFinalSS(1)%dval	= dval
END IF


IF(TransitionPath == .true.) THEN	!time is quarters past announcement
	dectrans(time)%valAret	= valAret
	dectrans(time)%assAret	= assAret
	dectrans(time)%savAret	= savAret

	dectrans(time)%valNret	= valNret
	dectrans(time)%savNret	= savNret

	dectrans(time)%valA	= valA
	dectrans(time)%assA	= assA
	dectrans(time)%savA	= savA

	dectrans(time)%valN	= valN
	dectrans(time)%savN	= savN

	dectrans(time)%evalret	= evalret
	dectrans(time)%emucret	= emucret
	dectrans(time)%hfnret	= hfnret
	dectrans(time)%dvalret	= dvalret

	dectrans(time)%evalretJ1	= evalretJ1
	dectrans(time)%emucretJ1	= emucretJ1
	dectrans(time)%hfnretJ1		= hfnretJ1

	dectrans(time)%eval	= eval
	dectrans(time)%emuc	= emuc
	dectrans(time)%hfn	= hfn
	dectrans(time)%dval	= dval
END IF

END SUBROUTINE StoreTimeDecisionRules
